--
-- kOOL - the church tool
-- www.churchtool.org
--
-- DB changes needed for update from R42 to R43
-- Important: Update DB before updating source
--


-- New settings for excel export
INSERT INTO `ko_settings` ( `key` , `value`) VALUES ( 'xls_default_font', ''), ( 'xls_title_font', '');
INSERT INTO `ko_settings` ( `key` , `value`) VALUES ( 'xls_title_bold', '1'), ( 'xls_title_color', 'blue');



-- DB columns for ko_filter
UPDATE `ko_filter` SET `dbcol` = 'anrede' WHERE `name` = 'salutation';
UPDATE `ko_filter` SET `dbcol` = 'nachname' WHERE `name` = 'last name';
UPDATE `ko_filter` SET `dbcol` = 'vorname' WHERE `name` = 'first name';
UPDATE `ko_filter` SET `dbcol` = 'adresse' WHERE `name` = 'address';
UPDATE `ko_filter` SET `dbcol` = 'adresse_zusatz' WHERE `name` = 'address2';
UPDATE `ko_filter` SET `dbcol` = 'plz' WHERE `name` = 'zip code';
UPDATE `ko_filter` SET `dbcol` = 'ort' WHERE `name` = 'city';
UPDATE `ko_filter` SET `dbcol` = 'land' WHERE `name` = 'country';
UPDATE `ko_filter` SET `dbcol` = 'telp' WHERE `name` = 'tel p';
UPDATE `ko_filter` SET `dbcol` = 'telg' WHERE `name` = 'tel b';
UPDATE `ko_filter` SET `dbcol` = 'natel' WHERE `name` = 'mobile';
UPDATE `ko_filter` SET `dbcol` = 'fax' WHERE `name` = 'fax';
UPDATE `ko_filter` SET `dbcol` = 'email' WHERE `name` = 'email';
UPDATE `ko_filter` SET `dbcol` = 'url' WHERE `name` = 'url';
UPDATE `ko_filter` SET `dbcol` = 'zivilstand' WHERE `name` = 'civil status';
UPDATE `ko_filter` SET `dbcol` = 'geburtsdatum' WHERE `name` = 'birthdate';
UPDATE `ko_filter` SET `dbcol` = 'geschlecht' WHERE `name` = 'sex';
UPDATE `ko_filter` SET `dbcol` = 'memo1' WHERE `name` = 'memo1';
UPDATE `ko_filter` SET `dbcol` = 'memo2' WHERE `name` = 'memo2';
UPDATE `ko_filter` SET `dbcol` = 'kinder' WHERE `name` = 'children';
UPDATE `ko_filter` SET `dbcol` = 'famid' WHERE `name` = 'family';
UPDATE `ko_filter` SET `dbcol` = 'famfunction' WHERE `name` = 'family role';
UPDATE `ko_filter` SET `dbcol` = 'lastchange' WHERE `name` = 'last change';
UPDATE `ko_filter` SET `dbcol` = 'geburtsdatum' WHERE `name` = 'age';
UPDATE `ko_filter` SET `dbcol` = 'geburtsdatum' WHERE `name` = 'year';
UPDATE `ko_filter` SET `dbcol` = 'firm' WHERE `name` = 'firm';
UPDATE `ko_filter` SET `dbcol` = 'department' WHERE `name` = 'department';
UPDATE `ko_filter` SET `dbcol` = 'famid' WHERE `name` = 'addchildren';
UPDATE `ko_filter` SET `dbcol` = 'famid' WHERE `name` = 'addparents';



-- Help for rota module
DELETE FROM `ko_help` WHERE `module` = 'dp';

ALTER TABLE `ko_help` CHANGE `type` `type` VARCHAR( 100 ) NOT NULL;
ALTER TABLE `ko_help` CHANGE `language` `language` VARCHAR( 5 ) NOT NULL;
ALTER TABLE `ko_help` CHANGE `text` `text` TEXT NOT NULL;

INSERT INTO `ko_help` ( `id` , `module` , `type` , `language` , `t3_page` , `t3_content` , `text`) VALUES ( NULL , 'rota', NULL , 'en', '93', '', NULL), ( NULL , 'rota', NULL , 'de', '93', '', NULL);
INSERT INTO `ko_help` ( `id` , `module` , `type` , `language` , `t3_page` , `t3_content` , `text`) VALUES ( NULL , 'rota', 'list_teams', 'en', '93', '1132', NULL), ( NULL , 'rota', 'list_teams', 'de', '93', '1148', NULL);
INSERT INTO `ko_help` ( `id` , `module` , `type` , `language` , `t3_page` , `t3_content` , `text`) VALUES ( NULL , 'rota', 'schedule', 'en', '93', '1134', ''), ( NULL , 'rota', 'schedule', 'de', '93', '1150', '');
INSERT INTO `ko_help` ( `id` , `module` , `type` , `language` , `t3_page` , `t3_content` , `text`) VALUES ( NULL , 'rota', 'settings', 'en', '93', '1144', ''), ( NULL , 'rota', 'settings', 'de', '93', '1159', '');



-- New column to hold the recipients ID in ko_leute
ALTER TABLE `ko_mailing_recipients` ADD `leute_id` MEDIUMINT NOT NULL;
